function getgain(x,y)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function calculate gain corresponding to a point on rootlocus

if choice==1 then // rootlocus gain calculations
		flag=0;
		check=0;
		p=[x y];	
		point=x+%i*y;
		
		// case clicked on a open loop pole.
		r=roots(denom(g));
		[n,m]=size(r);
		
		for i=1:n,
			if abs(point-r(i))<Limits() then 
			check=1; 
			flag=1; 
			end;
		end;
		
		// case clicked on a open loop zero
		
		r=roots(numer(g));
		[n,m]=size(r);
		
		for i=1:n,
			if abs(point-r(i))<Limits() then 
			check=1;
			flag=2; 
			end;
		end;
		
		if flag==0 then
		k=-1/real(horner(g,[1,%i]*p')); flag=3;
		end;
		
		r=roots(denom(g)+k*numer(g));
		[n,m]=size(r);
		
		// Check whether point lies on root locus
							
			for i=1:n,
			if abs(point-r(i)) < Limits() then 
			check=1;
			index=i;
			p=[real(r(index)) imag(r(index))];
			k=-1/real(horner(g,[1,%i]*p')); flag=3;
			break;
			end;
		end;
										
	if check<>0  then,
	if flag  == 3 & k> 0 then, 
	polezeroplot(g,k);
	xbasr();
	xselect();
	end;
	
	if flag==1 then,
	x_message(['You clicked on a open-loop pole.';'Valus of gain=0']);
	xselect();
	end;
	
	if flag==2 then,
  x_message(['You clicked on a open-loop zero.';'Value of gain is infinity']);		       xselect();
  	end;
	
	else
	xinfo('click on a point of the rootlocus to know the gain and roots');	
	
	end;
		

else // magnitude plot calculations
xinfo(['Frequency  '+string(x)+' rad/sec'+' Magnitude '+string(y)+' dB']);
end;
xselect()
return;

