function [ok,fminnyq,fmaxnyq,nyqstep]=nyqsettings();
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function settings for nyquist plot.

labels=["Min. Frequency for Nyquist/Nichols plot (rad/sec.)";
	"Max. Frequency for Nyquist/Nichols plot (rad/sec.)";
	"Step Size for frequency in Nyquist/Nichols plot (rad/sec.)";
	];
	
[ok,fminnyq,fmaxnyq,nyqstep]=getvalue("Nyquist and Nichols plot Settings",labels,...
list("vec",1,"vec",1,"vec",1),[string(fminnyq);string(fmaxnyq);string(nyqstep)]);
xselect();
if ok==%t then
xinfo('Changing Default Settings');
else xinfo('Loaded Default Settings');
 fminnyq=0.01; 
 fmaxnyq=1000;
 nyqstep=0.01;	
 end;
return;



