function g=rmpole(g)
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function delete a pole from the plant

flag=0;
if choice<>1 then return;end;

p=locate(1,1);
p=clean(p,Limits());


r=roots(denom(g));
[n,m]=size(r);

p=p(1)+%i*p(2);

for i=1:n,
	if abs(p-r(i))< Limits() then, p=r(i); flag=1;end;
end;

if flag==0 then 
	xselect();
	xinfo('click on a pole to remove it');
	xselect();
end;


if flag==1 then, // modify only if flag is affected.
	if imag(p)==0 then g=g*(s-real(p));
	else g=g*((s-real(p))^2+imag(p)^2);
	end;
	xbasc();
	whichplot();
	g=rl(g);
end;

return;

