function step(g);
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function plot step response.

if choice<>1 then return;end;
flag=0;
xselect();
xinfo('Select a point on the root locus');
xselect();
		status=xclick();
		p=clean([status(2) status(3)],Limits());
		point=p(1)+%i*p(2);
		r=roots(denom(g));
		[n,m]=size(r);
		for i=1:n,
			if abs(point-r(i))<Limits() then k=0; flag=1; break; else
		
			k=-1/real(horner(g,[1,%i]*p'));
			end;
		end;
		
		
r=roots(numer(g)*k+denom(g));
[n,m]=size(r);
		
		p=p(1)+%i*p(2);
		
		
		for i=1:n,
		if abs(p-r(i))<Limits() then flag=1; end;
		end;
//selection of response
whichresponse=1;
while flag==1 & whichresponse<> 0 
whichresponse=x_choose(['Impulse Response';'Step Response';'Ramp Response';'Arbitrary Input'],['Select required response']);
//
			if whichresponse==1 then,
			fig(1);
			impulse_response(g,k);
			end;
						
			if whichresponse==2 then,
			fig(1);
			step_response(g,k)
			end;

			if whichresponse==3 then,
			fig(1);
			ramp_response(g,k)
			end;
			
			if whichresponse==4 then,
			fig(1);
			[t,u,ok,gc] = edit_curv()
			fig(1);
			arbit_response(g,k,t,u)
			end;
			        
			     
else
xinfo('click on a point of the rootlocus');
end;				
return

