function step_response(g,k)	
//RLTOOL for scilab (c) Ishan Pendharkar. 
//function plots step response of closed loop plant.
			
		g_closedloop=syslin('c',g*k/(1+g*k)); //UNITY FEEDBACK CLOSED LOOP
		if roots(denom(g_closedloop))<>[] then
			if gridon==1 then xgrid(4); end;
			if clean(k)==0 then,
			xinfo(['You selected an open loop pole. Plotting open loop step response']);
			t=0:tstep:tmax;
			plot2d([t',t'],[(csim('step',t,syslin('c',g)))',0*t']);
			xbasr();
			x_message(['Open loop step Response of';string(g);'with k = 0']);
			else
			t=0:tstep:tmax;
			resp=csim('step',t,g_closedloop) //this is the response vector
			plot2d([t',t'],[resp',0*t']);
			xbasr();
			xtitle('Step Response','Time (sec)','Magnitude') 
			button=x_message(['Step Response of';string(g_closedloop);'with k = '+string(k);'root(s) ';string(r)],['Close','Details']);
					if button==2 then,
						stepdetails(resp); //further details of step resp
					end;
			end;
		else
		x_message(['Sorry! I cannot plot the step response';'Due to numerical tolerances, a pole-zero cancellation has occured.';' Please reselect point.']);
		end;
		xdel(1);
		xselect();
				

return


